Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.nc
Class NsNameExceptNameClass

    java.lang.Object
      org.kohsuke.rngom.nc.NameClass
          org.kohsuke.rngom.nc.NsNameExceptNameClass

All Implemented Interfaces:
  java.io.Serializable, ParsedNameClass

    public class NsNameExceptNameClass

extends NameClass

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.kohsuke.rngom.nc.NameClass
`ANY, NULL`

Constructor Summary
`NsNameExceptNameClass(java.lang.String namespaceURI, NameClass nameClass)`

Method Summary
`
`<V> V`
` | `accept(NameClassVisitor<V> visitor)` Visitor pattern support.
`boolean` | `contains(javax.xml.namespace.QName name)` Returns true if the given `QName` is a valid name for this QName.
`int` | `containsSpecificity(javax.xml.namespace.QName name)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`boolean` | `isOpen()` Returns true if the name class accepts infinite number of `QName`s.

Methods inherited from class org.kohsuke.rngom.nc.NameClass
`hasOverlapWith, listNames`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NsNameExceptNameClass

    public NsNameExceptNameClass(java.lang.String namespaceURI,
                                 NameClass nameClass)

Method Detail

### contains

    public boolean contains(javax.xml.namespace.QName name)

  Description copied from class: `NameClass`
  Returns true if the given `QName` is a valid name for this QName.

  Specified by:
    `contains` in class `NameClass`

### containsSpecificity

    public int containsSpecificity(javax.xml.namespace.QName name)

  Specified by:
    `containsSpecificity` in class `NameClass`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### accept

    public <V> V accept(NameClassVisitor<V> visitor)

  Description copied from class: `NameClass`
  Visitor pattern support.

  Specified by:
    `accept` in class `NameClass`

### isOpen

    public boolean isOpen()

  Description copied from class: `NameClass`
  Returns true if the name class accepts infinite number of `QName`s.

  Intuitively, this method returns true if the name class is some sort of wildcard.

  Specified by:
    `isOpen` in class `NameClass`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD